package com.mortals.xhx.module.classify.model;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.Api;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @author: zxfei
 * @date: 2021/8/20 9:25
 * @description:
 **/
@Data
public class ClassifyVo {

    private ClassifyEntity entity = new ClassifyEntity();

    public ClassifyEntity getEntity() {
        return entity;
    }

    private List<ClassifyOptionEntity> list = new ArrayList<ClassifyOptionEntity>();

    public List<ClassifyOptionEntity> getList() {
        return list;
    }


    public static void main(String[] args) {

//        ClassifyVo classifyVo = new ClassifyVo();
//        classifyVo.getEntity().setBasicsId(111L);
//
//        ClassifyOptionEntity classifyOptionEntity = new ClassifyOptionEntity();
//        classifyOptionEntity.setDatumId(22222L);
//        classifyVo.getList().add(classifyOptionEntity);
//
//
//        System.out.println(JSON.toJSONString(classifyVo));

    }

}
